Miscellaneous Functions
3
GNOME-KEYRING Library

# Miscellaneous Functions

Miscellaneous functions.

## Synopsis

    gboolean            gnome_keyring_is_available          (void);
    void                gnome_keyring_cancel_request        (gpointer request);
    void                gnome_keyring_string_list_free      (GList *strings);

## Description

## Details

### gnome_keyring_is_available ()

    gboolean            gnome_keyring_is_available          (void);

Check whether you can communicate with a gnome-keyring-daemon.

Returns :

  `FALSE` if you can't communicate with the daemon (so you can't load and save passwords).

### gnome_keyring_cancel_request ()

    void                gnome_keyring_cancel_request        (gpointer request);

Cancel an asynchronous request.

If a callback was registered when making the asynchronous request, that callback function will be called with a result of `GNOME_KEYRING_RESULT_CANCELLED`

`request` :

  The request returned from the asynchronous call function.

### gnome_keyring_string_list_free ()

    void                gnome_keyring_string_list_free      (GList *strings);

Free a list of string pointers.

`strings` :

  A `GList` of string pointers.